Subject: Re: Privacy extensions to Stateless Address Autoconf

From: Suresh Krishnan <[email-masked]>
Date: Thu, 7 Oct 2004 20:39:26 -0400 (EDT)

Hi Brian and Francis,
  Thanks for your comments. I have made some changes to the draft to 
address the issues you raised. Let me know if these changes are OK.

* I have removed all references to MD5 in the document.
* I have added a reference to draft-ietf-ipsec-esp-ah-algorithms-02
* I added the following paragraph about the hash algorithm

  "The randomized interface identifier generation algorithm assumes that
   the node is capable of running a hash algorithm which is capable of
   producing a 128 bit random value.  The selected hash algorithm SHOULD
   follow the guidelines set forth in  [RANDOM] to ensure randomness of
   the result.  The node MAY use one of the hash algorithms specified in
   [IPSECALGO] as these algorithms will be available on every IPv6
   compliant node"

where 
[IPSECALGO] is draft-ietf-ipsec-esp-ah-algorithms-02 and 
[RANDOM] is RFC1750

Thanks
Suresh

On Thu, 7 Oct 2004, Francis Dupont wrote:

> In your previous mail you wrote:
>
>   First, changing the algorithm will not affect interoperability.  The
>   generation of the IID is local to each node.
>   
>=> so the change should not be a problem if it is justified.
>
>   Second, we are attempting to move this document from PS to
>   DS, so making a gratuitous change to the hash algorithm is not
>   usually favored.
>
>=> the argument is that MD5 is/shall be not available by default.
>I suggest to give it to security area directors for an advice.
>
>   In addition, will we change it again when a newer algorithm comes along?
>
>=> your proposal is a nice answer.
>   
>   Perhaps an alternative, if people feel a need to move away from
>   MD5, would be to not specify a single hash, but rather give a list
>   of possible hashes.  And an informative pointer to RFC 1750
>   would help with this direction.
>   
>=> this seems a wOnderful idea!
>
>Thanks
>
>[email-masked]
>
>PS: draft-ietf-ipsec-esp-ah-algorithms-02.txt changes MD5 based algo
>requirement levels from MUST to MAY so the argument about MD5 seems
>to be right.
>
>--------------------------------------------------------------------
>IETF IPv6 working group mailing list
>[email-masked]
>Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>--------------------------------------------------------------------
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Brian Haberman <[email-masked]>
Date: Fri, 8 Oct 2004 09:40:35 -0400

Suresh,

> * I have removed all references to MD5 in the document.

I don't think you want to remove all references to MD5.  The
document just doesn't need to mandate that MD5 be the only
hash algorithm.

> * I have added a reference to draft-ietf-ipsec-esp-ah-algorithms-02

I don't think we want to do that.  This document is supposed to be
going from PS to DS.  Adding a reference to an I-D will delay
publication until all references are RFC's.  And if the above
draft is Normative, it has to be at the same (DS) level.

>    [IPSECALGO] as these algorithms will be available on every IPv6

See my comment above about Normative references and my initial
recommendation to make a reference to 1750 Informative.

Regards,
Brian

---

From: Francis Dupont <[email-masked]>
Date: Fri, 08 Oct 2004 15:46:55 +0200

=> s/specified/required/ ?

Thanks

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 13 Oct 2004 01:25:27 -0400 (EDT)

Hi Brian,
  Thanks for the comments. Please find my responses inline.

Regards
Suresh

>document just doesn't need to mandate that MD5 be the only

OK. Would it be fine fine if I retain the references to MD5 as is 
and add the following text at the end of section 3.2

"The random interface identifier generation algorithm, as described in
this document, uses MD5 as the hash algorithm. The node MAY use another
algorithm instead of MD5 to produce the random interface identifier."

>draft is Normative, it has to be at the same (DS) level.

Agreed. Since we are no longer mandating what algorithm to use, I will
remove this reference.

>recommendation to make a reference to 1750 Informative.

Will do.

---

From: Pekka Savola <[email-masked]>
Date: Wed, 13 Oct 2004 10:15:25 +0300 (EEST)

> algorithm instead of MD5 to produce the random interface identifier."

OK.
 
> Agreed. Since we are no longer mandating what algorithm to use, I will

However, I don't see a problem with having the draft as an Informative
reference.  That might influence which algorithm the implementor
selects.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Brian Haberman <[email-masked]>
Date: Wed, 13 Oct 2004 09:24:10 -0400

Hi Suresh

> algorithm instead of MD5 to produce the random interface identifier."

This sounds fine to me.

> Agreed. Since we are no longer mandating what algorithm to use, I will

I agree with Pekka that we can make this an informative reference.

Regards,
Brian